#ifndef CONTROLHDMIMANUAL_H
#define CONTROLHDMIMANUAL_H

#include <QWidget>
#include <wDevicesManager/ledcard.h>
#include <communication/hpptclient.h>
#include <LoUIClass/loemptydialog.h>
namespace Ui {
class ControlHdmiManual;
}

class ControlHdmiManual : public QWidget
{
    Q_OBJECT

public:
    explicit ControlHdmiManual(QWidget *parent = nullptr,QList<LedCard *> *m_pLedlist=nullptr);
    ~ControlHdmiManual();
protected slots:
    void onVideoSourceChecked(bool);
    void OnReadback();
    void refreshLable();
private:
    Ui::ControlHdmiManual *ui;
    //类似的控制操作信号和槽函数和变量定义
    signals:
        void sigSend(QJsonObject &,QString);
    protected slots:
        void DeletePostingDlg();
        void OnProHttpResponse(QString url, QString postMD5, QByteArray data);
        void OnProHttpResponseAll(QString url, QString postMD5, QByteArray data);
        void onSelectedDeviceList(QList<LedCard*> *);
        void onReadbackAllThisPage();
        void OnControlTypeSwitchIndexChanged(int index);
    private:
        QList<LedCard *> *m_pLedlist=nullptr;
        LedCard   *m_pLedCard = nullptr;
        LedCard   *m_oldLedlist = nullptr;
        HpptClient *pHpptClient = nullptr;
        HpptClient *pHpptClientAll = nullptr;
        QString m_strUrl="";
        LoEmptyDialog * m_PostingDlg=nullptr;
        QTimer *m_pGetAskTimer=nullptr;
        bool m_bSelected=false;
};

#endif // CONTROLHDMIMANUAL_H
